Debian – Possible missing firmware /lib/firmware/i915/* for module i915

debianfirmwareinitramfs

I am getting these warnings every time I update my initramfs image(-s) with update-initramfs on my Dell PowerEdge T20 server running GNU/Linux Debian Buster 10.0. Is there a fix?


W: Possible missing firmware /lib/firmware/i915/bxt_dmc_ver1_07.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_dmc_ver1_27.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cnl_dmc_ver1_07.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_dmc_ver1_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_39.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver9_29.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver9_33.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_huc_ver02_00_1810.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_huc_ver01_07_1398.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_huc_ver01_07_1398.bin for module i915

Best Answer

For a general propose, apt-file is your way to solve the Possible missing firmware... warning. e,g:

apt-file search bxt_dmc

firmware-misc-nonfree: /lib/firmware/i915/bxt_dmc_ver1.bin
firmware-misc-nonfree: /lib/firmware/i915/bxt_dmc_ver1_07.bin

the package firmware-misc-nonfree provide the missing firmware.

Installing the firmware-linux package solve the problem because firmware-linux depend on firmware-linux-nonfree depend on firmware-misc-nonfree.

Detailed instructions:

Add non-free to your /etc/apt/sources.list :

deb http://deb.debian.org/debian buster main contrib non-free
deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb http://deb.debian.org/debian buster-updates main contrib non-free

Install apt-file:

sudo apt update
sudo apt install apt-file
sudo apt-file update

Debian: apt-file

Related Question